/* $Log:	scanbop.c,v $
 * Revision 0.8  92/11/23  19:46:58  19:46:58  bt (Bo Thide')
 * Fixed resolution bug. Portable downloading. Added/changed options. PJXL color support
 * 
 * Revision 0.7  92/11/13  02:41:42  02:41:42  bt (Bo Thide')
 * More bug fixes and improvements. Support for PaintJet XL
 * 
 * Revision 0.6  92/11/10  21:48:40  21:48:40  bt (Bo Thide')
 * Bug fixes. Added -R option. Better font handling.
 * 
 * Revision 0.5  92/11/09  16:25:46  16:25:46  bt (Bo Thide')
 * Rewrite of dospecial.c. Extended \special support
 * 
 * Revision 0.4  92/11/08  02:46:02  02:46:02  bt (Bo Thide')
 * Changed to portable bit manipulations. Replaced strrstr for non-POSIX compliant C. Fixed numerous bugs. Added support for more \special's.
 * 
 * Revision 0.3  92/08/24  12:45:52  12:45:52  bt (Bo Thide')
 * Fixed 8 bit (dc font) support.
 * 
 * Revision 0.2  92/08/23  17:29:00  17:29:00  bt (Bo Thide')
 * Source cleaned up.  Changed certain function calls.  Removed globals.
 * 
 * Revision 0.1  92/08/22  23:58:48  23:58:48  bt (Bo Thide')
 * First Release.
 *  */

/*
 * This routine simply scans the 10 counts after the occurrence of a bop
 * command.  In addition it determines the 'lastpage' and 'prevpage' pointers.
 */

#include <stdio.h>
#include "globals.h"
#include "macros.h"

static char rcsid[] = "$Header: scanbop.c,v 0.8 92/11/23 19:46:58 bt Exp $";

void scanbop(dvifile)
FILE	*dvifile;
{ 
	int k;
	lastpage = ftell(dvifile);
	for(k = 0; k <= 9 ; k++)
		count[k] = (long)getsquad(dvifile);
	prevpage = (long)getsquad(dvifile);
}
